#!/bin/sh

DRIVER=arcsas

echo "Driver Installation"
RELEASE=`uname -r`
MACHINE=`uname -m`
echo "kernel $RELEASE on $MACHINE"
if [ -f modules0.tar ]; then
    tar xvf modules0.tar > /dev/null 2>/dev/null
    if [ ! -f ${RELEASE}/${MACHINE}/${DRIVER}.ko ]; then
        echo "Error extracting driver, possible reason:"
        echo "  1.Driver disk corrupt"
        echo "  2.Driver disk is not for the OS being installed"
        echo "Please check the driver disk and the version of the installation medium."
        echo "If the issue still exists, please contact Areca support, support@areca.com.tw."
        exit 1
    fi
else
    echo "No driver archive found."
    exit 1
fi

rmmod ${DRIVER} 2>/dev/null
modprobe sd_mod > /dev/null 2> /dev/null
insmod ${RELEASE}/${MACHINE}/${DRIVER}.ko

echo "Driver Installation Step 1 Completed."
